DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | List of all members
IODModule Class Reference

The class IODModule is an IODComponent without parent component since a module does always belong to the top level dataset. More...

Inheritance diagram for IODModule:

## Public Member Functions
| IODModule (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules)
| Constructor. More...
| IODModule ()
| Constructor. More...
| IODModule (const IODModule &rhs)
| Copy constructor, creates shallow copy. More...
IODModule & | operator= (const IODModule &rhs)
| Assignment operator, creates shallow copy. More...
| ~IODModule ()
| Destructor.
Public Member Functions inherited from IODComponent
| IODComponent (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules, IODComponent *parent=NULL)
| Constructor. More...
| IODComponent (IODComponent *parent=NULL)
| Constructor, creates rules and item from scratch. More...
IODComponent & | operator= (const IODComponent &rhs)
| Assignment operator, copies contained item and rule set from rhs to "this" attribute set. More...
| IODComponent (const IODComponent &rhs)
| Copy constructor, copies reference to contained item and rule set to "this" attribute set. More...
virtual | ~IODComponent ()
| Virtual Destructor.
virtual void | clearData ()
| Clear all attributes from the data that are handled by this module. More...
virtual void | inventMissing ()
| Set missing values by inventing "default values". More...
virtual void | resetRules ()=0
| Resets rules to their original values.
OFshared_ptr< IODRules > | getRules ()
| Get rules handled by this module. More...
virtual void | makeOptional ()
| Make component optional by turning all attributes requirement types of it to type 3. More...
virtual OFString | getName () const =0
| Get name of component. More...
DcmItem & | getData ()
| Get the data handled by this module. More...
virtual OFCondition | read (DcmItem &source, const OFBool clearOldData=OFTrue)
| Read attributes from given item into this class. More...
virtual OFCondition | write (DcmItem &destination)
| Write attributes from this class into given item. More...
virtual OFCondition | check (const OFBool quiet=OFFalse)
| Check whether this component's data satisfies the underlying rules. More...
virtual int | compare (const IODComponent &rhs) const
| Comparison operator for IOD Components. More...
virtual bool | getValueCheckOnWrite () const
| Get whether attribute value errors will be handled as errors on writing. More...
virtual void | setValueCheckOnWrite (const OFBool checkValue)
| Set whether attribute values should be checked on writing, i.e. More...

## Additional Inherited Members
Static Public Member Functions inherited from IODComponent
static OFCondition | read (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName)
| Static helper function that reads attributes from given item into destination item, as determined by the provided rules and component name. More...
static OFCondition | write (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName, const OFBool checkValue)
| Static helper function that writes attributes from given item into destination item, as determined by the provided rules and component name. More...
Protected Attributes inherited from IODComponent
OFshared_ptr< DcmItem > | m_Item
| Shared pointer to the data handled by this class. More...
OFshared_ptr< IODRules > | m_Rules
| Rules describing the attributes governed by this class.
IODComponent * | m_Parent
| The parent component (may be NULL) of this class.
OFBool | m_CheckValueOnWrite
| Denotes whether attribute values should be checked on writing, i.e. More...

## Detailed Description

The class IODModule is an IODComponent without parent component since a module does always belong to the top level dataset.

Also, different from IODComponents, modules usually share data and rules. This is taken into account in the assignment operator and copy constructor which only create a shallow copy, i.e. modules share the same data and rules afterwards.

## Constructor & Destructor Documentation

## ◆ IODModule() [1/3]

IODModule::IODModule | ( | OFshared_ptr< DcmItem > | item,
|  | OFshared_ptr< IODRules > | rules
| ) |  |

Constructor.

Similar to the one of IODComponent but no parent can be defined since a module is always at top level.

Parameters

  item | The item to be used for data storage. If NULL, the class creates an empty data container.
  rules | The rule set for this class. If NULL, the class creates an empty rule set.

## ◆ IODModule() [2/3]

IODModule::IODModule | ( |  | ) |

Constructor.

Creates new empty data container and new empty ruleset. No parent component is defined (since a module is always on top level.

## ◆ IODModule() [3/3]

IODModule::IODModule | ( | const IODModule & | rhs | ) |

Copy constructor, creates shallow copy.

Parameters

  rhs | The module to copy from

## Member Function Documentation

## ◆ operator=()

IODModule& IODModule::operator= | ( | const IODModule & | rhs | ) |

Assignment operator, creates shallow copy.

Parameters

  rhs | The module to copy from

Returns
  Returns reference to this object

The documentation for this class was generated from the following file:

- dcmiod/include/dcmtk/dcmiod/modbase.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1